#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int t[n],i;
    for(i=0;i<n;i++)
        cin>>t[i];
    for(i=0;i<n;i++)
    {
        if(i==n-1&&t[i]==k)
            cout<<t[0];
        else if(t[i]==k)
            cout<<t[i+1];
    }
    return 0;
}